#!/bin/bash

# This script takes a simulation from QMSim and format the pedigree, 
# data, genotype files for BLUPf90

# echo ex01.prm |./QMSim   

DIR=r_ex01

# Extraction of columns of interest from QMSim files:
# (QMSim format: 'Progeny,Sire,Dam,G,Sex,NMPrg,NFPrg,F,Homo,Phen,Res,Polygene,QTL')

# Pedigree file (id,sire,dam,generation,phen,tbv) 
   awk 'NR>4 {print $1,$2,$3}' $DIR/p1_data_001.txt > pedigree.txt


# Phenotype file (id,generation,phen) 
# Skip 4 lines, ignore males without phenotype, 
# and ignore phenotypes of the animals in validation data (generation= 10)
   awk 'NR>4 && $10!="---" && $4!=10 {print $1,$4,$10}' $DIR/p1_data_001.txt > pheno.txt

# SNP file
     ./format_mrk.awk  $DIR/p1_mrk_001.txt > snp.txt
     awk '{print $1, $1}' snp.txt > snp.txt_XrefID

  


